package com.beanpodtech.allinone.bean;

import java.util.List;

public class FilterBean extends BaseRequestBean{

    private List<SubjectsBean> subjects;

    public List<SubjectsBean> getSubjects() {
        return subjects;
    }

    public void setSubjects(List<SubjectsBean> subjects) {
        this.subjects = subjects;
    }

    public static class SubjectsBean {
        /**
         * filterSubjectName : 语文
         * filterSubjectId : 1
         * type : 科目
         * sorts : [{"filterTypeId":"1","filterTypeName":"考点1","type":"分类","teachers":[{"filterTeacherId":"1","filterTeacherName":"讲师1","type":"名师","outlines":[{"filterOutlineId":"1","filterOutlineName":"大纲1","type":"大纲","OutlineClassification":[{"filterOutlineClassificationId":"3","filterOutlineClassificationName":"小纲1","type":"大纲下分类"}]}]},{"filterTeacherId":"3","filterTeacherName":"语文3","type":"名师"}]},{"filterTypeId":"3","filterTypeName":"考点3","type":"分类","teachers":[{"filterTeacherId":"1","filterTeacherName":"讲师1","type":"名师"},{"filterTeacherId":"3","filterTeacherName":"语文3","type":"名师","outlines":[{"filterOutlineId":"3","filterOutlineName":"小纲1","type":"大纲","OutlineClassification":[{"filterOutlineClassificationId":"5","filterOutlineClassificationName":"小纲3","type":"大纲下分类"}]}]}]}]
         */

        private String filterSubjectName;
        private String filterSubjectId;
        private String type;
        private List<SortsBean> sorts;

        public String getFilterSubjectName() {
            return filterSubjectName;
        }

        public void setFilterSubjectName(String filterSubjectName) {
            this.filterSubjectName = filterSubjectName;
        }

        public String getFilterSubjectId() {
            return filterSubjectId;
        }

        public void setFilterSubjectId(String filterSubjectId) {
            this.filterSubjectId = filterSubjectId;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public List<SortsBean> getSorts() {
            return sorts;
        }

        public void setSorts(List<SortsBean> sorts) {
            this.sorts = sorts;
        }

        public static class SortsBean {
            /**
             * filterTypeId : 1
             * filterTypeName : 考点1
             * type : 分类
             * teachers : [{"filterTeacherId":"1","filterTeacherName":"讲师1","type":"名师","outlines":[{"filterOutlineId":"1","filterOutlineName":"大纲1","type":"大纲","OutlineClassification":[{"filterOutlineClassificationId":"3","filterOutlineClassificationName":"小纲1","type":"大纲下分类"}]}]},{"filterTeacherId":"3","filterTeacherName":"语文3","type":"名师"}]
             */

            private String filterTypeId;
            private String filterTypeName;
            private String type;
            private List<TeachersBean> teachers;

            public String getFilterTypeId() {
                return filterTypeId;
            }

            public void setFilterTypeId(String filterTypeId) {
                this.filterTypeId = filterTypeId;
            }

            public String getFilterTypeName() {
                return filterTypeName;
            }

            public void setFilterTypeName(String filterTypeName) {
                this.filterTypeName = filterTypeName;
            }

            public String getType() {
                return type;
            }

            public void setType(String type) {
                this.type = type;
            }

            public List<TeachersBean> getTeachers() {
                return teachers;
            }

            public void setTeachers(List<TeachersBean> teachers) {
                this.teachers = teachers;
            }

            public static class TeachersBean {
                /**
                 * filterTeacherId : 1
                 * filterTeacherName : 讲师1
                 * type : 名师
                 * outlines : [{"filterOutlineId":"1","filterOutlineName":"大纲1","type":"大纲","OutlineClassification":[{"filterOutlineClassificationId":"3","filterOutlineClassificationName":"小纲1","type":"大纲下分类"}]}]
                 */

                private String filterTeacherId;
                private String filterTeacherName;
                private String type;
                private List<OutlinesBean> outlines;

                public String getFilterTeacherId() {
                    return filterTeacherId;
                }

                public void setFilterTeacherId(String filterTeacherId) {
                    this.filterTeacherId = filterTeacherId;
                }

                public String getFilterTeacherName() {
                    return filterTeacherName;
                }

                public void setFilterTeacherName(String filterTeacherName) {
                    this.filterTeacherName = filterTeacherName;
                }

                public String getType() {
                    return type;
                }

                public void setType(String type) {
                    this.type = type;
                }

                public List<OutlinesBean> getOutlines() {
                    return outlines;
                }

                public void setOutlines(List<OutlinesBean> outlines) {
                    this.outlines = outlines;
                }

                public static class OutlinesBean {
                    /**
                     * filterOutlineId : 1
                     * filterOutlineName : 大纲1
                     * type : 大纲
                     * OutlineClassification : [{"filterOutlineClassificationId":"3","filterOutlineClassificationName":"小纲1","type":"大纲下分类"}]
                     */

                    private String filterOutlineId;
                    private String filterOutlineName;
                    private String type;
                    private List<OutlineClassificationBean> OutlineClassification;

                    public String getFilterOutlineId() {
                        return filterOutlineId;
                    }

                    public void setFilterOutlineId(String filterOutlineId) {
                        this.filterOutlineId = filterOutlineId;
                    }

                    public String getFilterOutlineName() {
                        return filterOutlineName;
                    }

                    public void setFilterOutlineName(String filterOutlineName) {
                        this.filterOutlineName = filterOutlineName;
                    }

                    public String getType() {
                        return type;
                    }

                    public void setType(String type) {
                        this.type = type;
                    }

                    public List<OutlineClassificationBean> getOutlineClassification() {
                        return OutlineClassification;
                    }

                    public void setOutlineClassification(List<OutlineClassificationBean> OutlineClassification) {
                        this.OutlineClassification = OutlineClassification;
                    }

                    public static class OutlineClassificationBean {
                        /**
                         * filterOutlineClassificationId : 3
                         * filterOutlineClassificationName : 小纲1
                         * type : 大纲下分类
                         */

                        private String filterOutlineClassificationId;
                        private String filterOutlineClassificationName;
                        private String type;

                        public String getFilterOutlineClassificationId() {
                            return filterOutlineClassificationId;
                        }

                        public void setFilterOutlineClassificationId(String filterOutlineClassificationId) {
                            this.filterOutlineClassificationId = filterOutlineClassificationId;
                        }

                        public String getFilterOutlineClassificationName() {
                            return filterOutlineClassificationName;
                        }

                        public void setFilterOutlineClassificationName(String filterOutlineClassificationName) {
                            this.filterOutlineClassificationName = filterOutlineClassificationName;
                        }

                        public String getType() {
                            return type;
                        }

                        public void setType(String type) {
                            this.type = type;
                        }
                    }
                }
            }
        }
    }
}
